## rust-ognibuild 0.1.4

=== Makefile ===
check:: style

style:
	ruff check py

check:: testsuite

build-inplace:
	python3 setup.py build_rust --inplace

testsuite:
	cargo test

check:: typing

typing:
	mypy py tests

coverage:
	PYTHONPATH=$(shell pwd)/py python3 -m coverage run -m unittest tests.test_suite

coverage-html:
	python3 -m coverage html

=== debian/changelog ===
rust-ognibuild (0.1.4-2) unstable; urgency=medium

  * Team upload.
  * Package ognibuild 0.1.4 from crates.io using debcargo 2.7.11
  * Accept pyo3 0.26.

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 21:09:33 +0100

rust-ognibuild (0.1.4-1) unstable; urgency=medium

  * Team upload.
  * Package ognibuild 0.1.4 from crates.io using debcargo 2.7.8
  * Update remaining patches for new upstream.
  * Add note on why relax-lazy-regex patch is needed.
  * Bump tempdir dependency to 3.20.
  * Relax sqlx dependency.
  * Ignore "unsahre" tests, they already fail in testing.
  * Mark tests for the "upstream" feature as broken, it fails to build if tokio
    is not also enabled.
  * Fix test feature requirements.

  [ Jelmer Vernooĳ ]
  * Package ognibuild 0.1.4 from crates.io using debcargo 2.7.10
  * Drop most patches.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 21 Aug 2025 23:02:11 +0000

=== debian/control ===
Source: rust-ognibuild
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-axum-0.7+default-dev,
 librust-axum-0.7+http2-dev,
 librust-axum-0.7+json-dev,
 librust-axum-0.7+tokio-dev,
 librust-breezyshim-0.6+default-dev,
 librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
 librust-chrono+default-dev (>= 0.4-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-deb822-lossless+default-dev (>= 0.2-~~),
 librust-dirs+default-dev (<< 7-~~),
 librust-dirs+default-dev (>= 5-~~),
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-fs-extra-1+default-dev (>= 1.3.0-~~),
 librust-inventory+default-dev (>= 0.3-~~),
 librust-lazy-regex-3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-makefile-lossless-0.2+default-dev (>= 0.2.1-~~),
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-nix+default-dev (>= 0.27.0-~~),
 librust-nix+user-dev (>= 0.27.0-~~),
 librust-pep508-rs-0.9+default-dev,
 librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
 librust-pyo3+default-dev (<< 0.27-~~),
 librust-pyo3+default-dev (>= 0.25-~~),
 librust-pyproject-toml-0.13+default-dev,
 librust-r-description+default-dev (>= 0.3-~~),
 librust-r-description+serde-dev (>= 0.3-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.10.6-~~),
 librust-semver+default-dev (>= 1-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
 librust-shlex-1+default-dev (>= 1.3.0-~~),
 librust-tempfile+default-dev (>= 3.20-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml+default-dev (>= 0.8-~~),
 librust-toml-edit+default-dev (>= 0.22-~~),
 librust-upstream-ontologist-0.2+default-dev,
 librust-url+default-dev (>= 2-~~),
 librust-whoami-dev (>= 1.4-~~),
 librust-xmltree+default-dev (>= 0.10-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ognibuild]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ognibuild
Homepage: https://github.com/jelmer/ognibuild
X-Cargo-Crate: ognibuild

Package: librust-ognibuild-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-axum-0.7+default-dev,
 librust-axum-0.7+http2-dev,
 librust-axum-0.7+json-dev,
 librust-axum-0.7+tokio-dev,
 librust-breezyshim-0.6+debian-dev,
 librust-breezyshim-0.6+default-dev,
 librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
 librust-chrono+default-dev (>= 0.4-~~),
 librust-clap-4+default-dev,
 librust-clap-4+derive-dev,
 librust-clap-4+env-dev,
 librust-deb822-lossless+default-dev (>= 0.2-~~),
 librust-debian-analyzer-0.159+default-dev,
 librust-debian-changelog+default-dev (>= 0.2-~~),
 librust-debian-control+default-dev (>= 0.1.25-~~),
 librust-debversion-0.4+default-dev,
 librust-dirs+default-dev (<< 7-~~),
 librust-dirs+default-dev (>= 5-~~),
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-flate2-1+default-dev,
 librust-fs-extra-1+default-dev (>= 1.3.0-~~),
 librust-inventory+default-dev (>= 0.3-~~),
 librust-lazy-regex-3+default-dev,
 librust-lazy-static-1+default-dev,
 librust-libc-0.2+default-dev,
 librust-log-0.4+default-dev,
 librust-lz4-flex+default-dev (>= 0.11-~~),
 librust-lzma-rs-0.3+default-dev,
 librust-makefile-lossless-0.2+default-dev (>= 0.2.1-~~),
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-nix+default-dev (>= 0.27.0-~~),
 librust-nix+user-dev (>= 0.27.0-~~),
 librust-pep508-rs-0.9+default-dev,
 librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
 librust-pyo3+default-dev (<< 0.27-~~),
 librust-pyo3+default-dev (>= 0.25-~~),
 librust-pyproject-toml-0.13+default-dev,
 librust-r-description+default-dev (>= 0.3-~~),
 librust-r-description+serde-dev (>= 0.3-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.10.6-~~),
 librust-reqwest+blocking-dev (>= 0.10-~~),
 librust-reqwest+default-dev (>= 0.10-~~),
 librust-reqwest+json-dev (>= 0.10-~~),
 librust-semver+default-dev (>= 1-~~),
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev,
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
 librust-shlex-1+default-dev (>= 1.3.0-~~),
 librust-sqlx-0.8+default-dev (>= 0.8.3-~~),
 librust-sqlx-0.8+postgres-dev (>= 0.8.3-~~),
 librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.3-~~),
 librust-stackdriver-logger-0.8+default-dev (>= 0.8.2-~~),
 librust-tempfile+default-dev (>= 3.20-~~),
 librust-tokio-1+default-dev,
 librust-tokio-1+full-dev,
 librust-toml+default-dev (>= 0.8-~~),
 librust-toml-edit+default-dev (>= 0.22-~~),
 librust-upstream-ontologist-0.2+default-dev,
 librust-url+default-dev (>= 2-~~),
 librust-whoami-dev (>= 1.4-~~),
 librust-xmltree+default-dev (>= 0.10-~~)
Provides:
 librust-ognibuild+breezy-dev (= ${binary:Version}),
 librust-ognibuild+cli-dev (= ${binary:Version}),
 librust-ognibuild+debian-dev (= ${binary:Version}),
 librust-ognibuild+default-dev (= ${binary:Version}),
 librust-ognibuild+dep-server-dev (= ${binary:Version}),
 librust-ognibuild+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild+udd-dev (= ${binary:Version}),
 librust-ognibuild+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0-dev (= ${binary:Version}),
 librust-ognibuild-0+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0+cli-dev (= ${binary:Version}),
 librust-ognibuild-0+debian-dev (= ${binary:Version}),
 librust-ognibuild-0+default-dev (= ${binary:Version}),
 librust-ognibuild-0+dep-server-dev (= ${binary:Version}),
 librust-ognibuild-0+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0+udd-dev (= ${binary:Version}),
 librust-ognibuild-0+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.1-dev (= ${binary:Version}),
 librust-ognibuild-0.1+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.1+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.1+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.1+default-dev (= ${binary:Version}),
 librust-ognibuild-0.1+dep-server-dev (= ${binary:Version}),
 librust-ognibuild-0.1+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.1+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.1+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+default-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+dep-server-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.1.4+upstream-dev (= ${binary:Version})
Description: Detect and run any build system - Rust source code
 Source code for Debianized Rust crate "ognibuild"

Package: ognibuild
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 brz-debian,
 python3-build
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Detect and run any build system
 Ognibuild is a simple wrapper with a common interface for invoking any kind of
 build tool.
 .
 The ideas is that it can be run to build and install any source code directory
 by detecting the build system that is in use and invoking that with the correct
 parameters.
 .
 It can also detect and install missing dependencies.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features dep-server
Features: test-name=librust-ognibuild-dev:dep-server
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-lazy-static-1+default-dev, librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.1.4 --all-targets --no-default-features --features upstream

=== debian/watch ===
Version: 5

Source: https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/ognibuild
Matching-Pattern:  .*/crates/ognibuild/@ANY_VERSION@/download
Filenamemangle: s/.*\/(.*)\/download/ognibuild-$1\.tar\.gz/g
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/

## rust-ognibuild 0.2.1

=== debian/changelog ===
rust-ognibuild (0.2.1-1) experimental; urgency=medium

  * Package ognibuild 0.2.1 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 11 Nov 2025 01:59:12 +0000

=== debian/control ===
Source: rust-ognibuild
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-axum-0.7+default-dev,
 librust-axum-0.7+http2-dev,
 librust-axum-0.7+json-dev,
 librust-axum-0.7+tokio-dev,
 librust-breezyshim-0.7+default-dev (>= 0.7.4-~~),
 librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
 librust-chrono-0.4+default-dev (>= 0.4.42-~~),
 librust-clap-4+default-dev (>= 4.5-~~),
 librust-clap-4+derive-dev (>= 4.5-~~),
 librust-clap-4+env-dev (>= 4.5-~~),
 librust-deb822-lossless-0.4+default-dev,
 librust-dirs+default-dev (<< 7-~~),
 librust-dirs+default-dev (>= 5-~~),
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-fs-extra-1+default-dev (>= 1.3.0-~~),
 librust-inventory+default-dev (>= 0.3-~~),
 librust-lazy-regex-3+default-dev (>= 3.4-~~),
 librust-lazy-static-1+default-dev (>= 1.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.172-~~),
 librust-log-0.4+default-dev (>= 0.4.21-~~),
 librust-makefile-lossless-0.2+default-dev (>= 0.2.1-~~),
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-nix+default-dev (>= 0.27.0-~~),
 librust-nix+user-dev (>= 0.27.0-~~),
 librust-pep508-rs-0.9+default-dev (>= 0.9.1-~~),
 librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
 librust-pyo3-0.27+default-dev,
 librust-pyproject-toml-0.13+default-dev (>= 0.13.4-~~),
 librust-r-description-0.3+default-dev (>= 0.3.5-~~),
 librust-r-description-0.3+serde-dev (>= 0.3.5-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.11.2-~~),
 librust-semver-1+default-dev (>= 1.0.26-~~),
 librust-serde-1+default-dev (>= 1.0.219-~~),
 librust-serde-1+derive-dev (>= 1.0.219-~~),
 librust-serde-json-1+default-dev (>= 1.0.120-~~),
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
 librust-shlex-1+default-dev (>= 1.3.0-~~),
 librust-tempfile-3+default-dev (>= 3.23-~~),
 librust-tokio-1+default-dev (>= 1.47.1-~~),
 librust-tokio-1+full-dev (>= 1.47.1-~~),
 librust-toml-0.8+default-dev (>= 0.8.19-~~),
 librust-toml-edit-0.22+default-dev (>= 0.22.22-~~),
 librust-upstream-ontologist-0.3+default-dev (>= 0.3.2-~~),
 librust-url-2+default-dev (>= 2.5.4-~~),
 librust-whoami-1-dev (>= 1.5-~~),
 librust-xmltree-0.10+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/ognibuild]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/ognibuild
Homepage: https://github.com/jelmer/ognibuild
X-Cargo-Crate: ognibuild

Package: librust-ognibuild-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-apt-sources-0.1+default-dev (>= 0.1.1-~~),
 librust-axum-0.7+default-dev,
 librust-axum-0.7+http2-dev,
 librust-axum-0.7+json-dev,
 librust-axum-0.7+tokio-dev,
 librust-breezyshim-0.7+debian-dev (>= 0.7.4-~~),
 librust-breezyshim-0.7+default-dev (>= 0.7.4-~~),
 librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
 librust-chrono-0.4+default-dev (>= 0.4.42-~~),
 librust-clap-4+default-dev (>= 4.5-~~),
 librust-clap-4+derive-dev (>= 4.5-~~),
 librust-clap-4+env-dev (>= 4.5-~~),
 librust-deb822-lossless-0.4+default-dev,
 librust-debian-analyzer-0.160+default-dev (>= 0.160.1-~~),
 librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~),
 librust-debian-control-0.2+default-dev,
 librust-debversion-0.5+default-dev,
 librust-dirs+default-dev (<< 7-~~),
 librust-dirs+default-dev (>= 5-~~),
 librust-env-logger+default-dev (>= 0.10-~~),
 librust-flate2-1+default-dev (>= 1.0.33-~~),
 librust-fs-extra-1+default-dev (>= 1.3.0-~~),
 librust-inventory+default-dev (>= 0.3-~~),
 librust-lazy-regex-3+default-dev (>= 3.4-~~),
 librust-lazy-static-1+default-dev (>= 1.5-~~),
 librust-libc-0.2+default-dev (>= 0.2.172-~~),
 librust-log-0.4+default-dev (>= 0.4.21-~~),
 librust-lz4-flex+default-dev (>= 0.11-~~),
 librust-lzma-rs-0.3+default-dev,
 librust-makefile-lossless-0.2+default-dev (>= 0.2.1-~~),
 librust-maplit-1+default-dev (>= 1.0.2-~~),
 librust-nix+default-dev (>= 0.27.0-~~),
 librust-nix+user-dev (>= 0.27.0-~~),
 librust-pep508-rs-0.9+default-dev (>= 0.9.1-~~),
 librust-percent-encoding-2+default-dev (>= 2.3.1-~~),
 librust-pyo3-0.27+default-dev,
 librust-pyproject-toml-0.13+default-dev (>= 0.13.4-~~),
 librust-r-description-0.3+default-dev (>= 0.3.5-~~),
 librust-r-description-0.3+serde-dev (>= 0.3.5-~~),
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev (>= 1.11.2-~~),
 librust-reqwest-0.12+blocking-dev (>= 0.12.15-~~),
 librust-reqwest-0.12+default-dev (>= 0.12.15-~~),
 librust-reqwest-0.12+json-dev (>= 0.12.15-~~),
 librust-semver-1+default-dev (>= 1.0.26-~~),
 librust-serde-1+default-dev (>= 1.0.219-~~),
 librust-serde-1+derive-dev (>= 1.0.219-~~),
 librust-serde-json-1+default-dev (>= 1.0.120-~~),
 librust-serde-yaml-0.9+default-dev (>= 0.9.34-~~),
 librust-shlex-1+default-dev (>= 1.3.0-~~),
 librust-sqlx-0.8+default-dev (>= 0.8.3-~~),
 librust-sqlx-0.8+postgres-dev (>= 0.8.3-~~),
 librust-sqlx-0.8+runtime-tokio-native-tls-dev (>= 0.8.3-~~),
 librust-stackdriver-logger-0.8+default-dev (>= 0.8.2-~~),
 librust-tempfile-3+default-dev (>= 3.23-~~),
 librust-tokio-1+default-dev (>= 1.47.1-~~),
 librust-tokio-1+full-dev (>= 1.47.1-~~),
 librust-toml-0.8+default-dev (>= 0.8.19-~~),
 librust-toml-edit-0.22+default-dev (>= 0.22.22-~~),
 librust-upstream-ontologist-0.3+default-dev (>= 0.3.2-~~),
 librust-url-2+default-dev (>= 2.5.4-~~),
 librust-whoami-1-dev (>= 1.5-~~),
 librust-xmltree-0.10+default-dev
Provides:
 librust-ognibuild+breezy-dev (= ${binary:Version}),
 librust-ognibuild+cli-dev (= ${binary:Version}),
 librust-ognibuild+debian-dev (= ${binary:Version}),
 librust-ognibuild+default-dev (= ${binary:Version}),
 librust-ognibuild+dep-server-dev (= ${binary:Version}),
 librust-ognibuild+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild+udd-dev (= ${binary:Version}),
 librust-ognibuild+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0-dev (= ${binary:Version}),
 librust-ognibuild-0+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0+cli-dev (= ${binary:Version}),
 librust-ognibuild-0+debian-dev (= ${binary:Version}),
 librust-ognibuild-0+default-dev (= ${binary:Version}),
 librust-ognibuild-0+dep-server-dev (= ${binary:Version}),
 librust-ognibuild-0+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0+udd-dev (= ${binary:Version}),
 librust-ognibuild-0+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.2-dev (= ${binary:Version}),
 librust-ognibuild-0.2+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.2+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.2+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.2+default-dev (= ${binary:Version}),
 librust-ognibuild-0.2+dep-server-dev (= ${binary:Version}),
 librust-ognibuild-0.2+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.2+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.2+upstream-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+breezy-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+cli-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+debian-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+default-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+dep-server-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+stackdriver-logger-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+udd-dev (= ${binary:Version}),
 librust-ognibuild-0.2.1+upstream-dev (= ${binary:Version})
Description: Detect and run any build system - Rust source code
 Source code for Debianized Rust crate "ognibuild"

Package: ognibuild
Architecture: any
Section: devel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends},
 brz-debian,
 python3-build
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Detect and run any build system
 Ognibuild is a simple wrapper with a common interface for invoking any kind of
 build tool.
 .
 The ideas is that it can be run to build and install any source code directory
 by detecting the build system that is in use and invoking that with the correct
 parameters.
 .
 It can also detect and install missing dependencies.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.7+default-dev, librust-criterion-0.7+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.7+default-dev, librust-criterion-0.7+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.7+default-dev, librust-criterion-0.7+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.7+default-dev, librust-criterion-0.7+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-criterion-0.7+default-dev, librust-criterion-0.7+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets --no-default-features --features dep-server
Features: test-name=librust-ognibuild-dev:dep-server
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.7+default-dev, librust-criterion-0.7+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.1 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger

## rust-ognibuild 0.2.2

=== debian/changelog ===
rust-ognibuild (0.2.2-1) unstable; urgency=medium

  * Package ognibuild 0.2.2 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Nov 2025 01:45:26 +0000

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,6 @@
 Build-Depends-Arch: cargo:native,
  rustc:native,
  libstd-rust-dev,
- librust-axum-0.7+default-dev,
- librust-axum-0.7+http2-dev,
- librust-axum-0.7+json-dev,
- librust-axum-0.7+tokio-dev,
  librust-breezyshim-0.7+default-dev (>= 0.7.4-~~),
  librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
  librust-chrono-0.4+default-dev (>= 0.4.42-~~),
@@ -67,11 +63,6 @@
 Multi-Arch: same
 Depends:
  ${misc:Depends},
- librust-apt-sources-0.1+default-dev (>= 0.1.1-~~),
- librust-axum-0.7+default-dev,
- librust-axum-0.7+http2-dev,
- librust-axum-0.7+json-dev,
- librust-axum-0.7+tokio-dev,
  librust-breezyshim-0.7+debian-dev (>= 0.7.4-~~),
  librust-breezyshim-0.7+default-dev (>= 0.7.4-~~),
  librust-buildlog-consultant-0.1+default-dev (>= 0.1.1-~~),
@@ -135,7 +126,6 @@
  librust-ognibuild+cli-dev (= ${binary:Version}),
  librust-ognibuild+debian-dev (= ${binary:Version}),
  librust-ognibuild+default-dev (= ${binary:Version}),
- librust-ognibuild+dep-server-dev (= ${binary:Version}),
  librust-ognibuild+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild+udd-dev (= ${binary:Version}),
  librust-ognibuild+upstream-dev (= ${binary:Version}),
@@ -144,7 +134,6 @@
  librust-ognibuild-0+cli-dev (= ${binary:Version}),
  librust-ognibuild-0+debian-dev (= ${binary:Version}),
  librust-ognibuild-0+default-dev (= ${binary:Version}),
- librust-ognibuild-0+dep-server-dev (= ${binary:Version}),
  librust-ognibuild-0+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0+udd-dev (= ${binary:Version}),
  librust-ognibuild-0+upstream-dev (= ${binary:Version}),
@@ -153,19 +142,17 @@
  librust-ognibuild-0.2+cli-dev (= ${binary:Version}),
  librust-ognibuild-0.2+debian-dev (= ${binary:Version}),
  librust-ognibuild-0.2+default-dev (= ${binary:Version}),
- librust-ognibuild-0.2+dep-server-dev (= ${binary:Version}),
  librust-ognibuild-0.2+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.2+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.2+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+default-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+dep-server-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.2.1+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.2.2-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.2+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.2 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @

## rust-ognibuild 0.2.3

=== debian/changelog ===
rust-ognibuild (0.2.3-1) unstable; urgency=medium

  * Package ognibuild 0.2.3 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 19 Nov 2025 15:27:45 +0000

=== debian/control ===
--- 
+++ 
@@ -145,14 +145,14 @@
  librust-ognibuild-0.2+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.2+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.2+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+default-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.2.2+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.2.3-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.3+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.3 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @

## rust-ognibuild 0.2.4

=== debian/changelog ===
rust-ognibuild (0.2.4-1) unstable; urgency=medium

  * Package ognibuild 0.2.4 from crates.io using debcargo 2.7.11
  * Add patch disable-broken-tests: disable two broken tests
    that fail in Debian's autopkgtest environment.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 20 Nov 2025 01:54:51 +0000

=== debian/control ===
--- 
+++ 
@@ -145,14 +145,14 @@
  librust-ognibuild-0.2+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.2+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.2+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+default-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.2.3+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.2.4-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.4+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets --all-features
Features: test-name=rust-ognibuild:@
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets --no-default-features --features breezy
Features: test-name=librust-ognibuild-dev:breezy
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets --no-default-features --features cli
Features: test-name=librust-ognibuild-dev:cli
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets --no-default-features --features debian
Features: test-name=librust-ognibuild-dev:debian
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets
Features: test-name=librust-ognibuild-dev:default
Depends: dh-cargo (>= 31), mmdebstrap, mmdebstrap, mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets --no-default-features --features stackdriver_logger
Features: test-name=librust-ognibuild-dev:stackdriver_logger
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable
Architecture: !riscv64

Test-Command: /usr/share/cargo/bin/cargo-auto-test ognibuild 0.2.4 --all-targets --no-default-features --features udd
Features: test-name=librust-ognibuild-dev:udd
Depends: dh-cargo (>= 31), mmdebstrap, rustc, librust-criterion-0.5+default-dev, librust-criterion-0.5+html-reports-dev, librust-lazy-static-1+default-dev (>= 1.5-~~), librust-test-log-0.2+default-dev, @

## rust-ognibuild 0.2.5

=== debian/changelog ===
rust-ognibuild (0.2.5-4) unstable; urgency=medium

  * Team upload.
  * Package ognibuild 0.2.5 from crates.io using debcargo 2.7.11
  * Adjust test for debian-analyzer 0.160.5 and bump dependency.

 -- Peter Michael Green <plugwash@debian.org>  Sun, 30 Nov 2025 02:40:30 +0000

rust-ognibuild (0.2.5-3) unstable; urgency=medium

  * disable-broken-tests: fix annotation to be on test rather than
    function under test, where it is ignored.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 26 Nov 2025 10:19:50 +0000

rust-ognibuild (0.2.5-2) unstable; urgency=medium

  * Update patch disable-broken-tests: ignore another test.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 25 Nov 2025 20:30:25 +0000

rust-ognibuild (0.2.5-1) unstable; urgency=medium

  * Package ognibuild 0.2.5 from crates.io using debcargo 2.7.11

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 25 Nov 2025 13:34:52 +0000

rust-ognibuild (0.2.4-3) unstable; urgency=medium

  * Update newer-makefile-lossless patch: Fix compilation with
  makefile-lossless 0.3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Nov 2025 21:31:16 +0000

rust-ognibuild (0.2.4-2) unstable; urgency=medium

  * Add patch newer-makefile-lossless: build against makefile-lossless 0.3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 23 Nov 2025 10:37:19 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
  librust-lazy-static-1+default-dev (>= 1.5-~~),
  librust-libc-0.2+default-dev (>= 0.2.172-~~),
  librust-log-0.4+default-dev (>= 0.4.21-~~),
- librust-makefile-lossless-0.2+default-dev (>= 0.2.1-~~),
+ librust-makefile-lossless+default-dev (<< 0.4-~~),
+ librust-makefile-lossless+default-dev (>= 0.2.1-~~),
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
@@ -71,7 +72,7 @@
  librust-clap-4+derive-dev (>= 4.5-~~),
  librust-clap-4+env-dev (>= 4.5-~~),
  librust-deb822-lossless-0.4+default-dev,
- librust-debian-analyzer-0.160+default-dev (>= 0.160.1-~~),
+ librust-debian-analyzer-0.160+default-dev (>= 0.160.5-~~),
  librust-debian-changelog-0.2+default-dev (>= 0.2.3-~~),
  librust-debian-control-0.2+default-dev,
  librust-debversion-0.5+default-dev,
@@ -87,7 +88,8 @@
  librust-log-0.4+default-dev (>= 0.4.21-~~),
  librust-lz4-flex+default-dev (>= 0.11-~~),
  librust-lzma-rs-0.3+default-dev,
- librust-makefile-lossless-0.2+default-dev (>= 0.2.1-~~),
+ librust-makefile-lossless+default-dev (<< 0.4-~~),
+ librust-makefile-lossless+default-dev (>= 0.2.1-~~),
  librust-maplit-1+default-dev (>= 1.0.2-~~),
  librust-nix+default-dev (>= 0.27.0-~~),
  librust-nix+user-dev (>= 0.27.0-~~),
@@ -145,14 +147,14 @@
  librust-ognibuild-0.2+stackdriver-logger-dev (= ${binary:Version}),
  librust-ognibuild-0.2+udd-dev (= ${binary:Version}),
  librust-ognibuild-0.2+upstream-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+breezy-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+cli-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+debian-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+default-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+stackdriver-logger-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+udd-dev (= ${binary:Version}),
- librust-ognibuild-0.2.4+upstream-dev (= ${binary:Version})
+ librust-ognibuild-0.2.5-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+breezy-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+cli-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+debian-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+default-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+stackdriver-logger-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+udd-dev (= ${binary:Version}),
+ librust-ognibuild-0.2.5+upstream-dev (= ${binary:Version})
 Description: Detect and run any build system - Rust source code
  Source code for Debianized Rust crate "ognibuild"
